<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VisibilityInformation StructType
 * @subpackage Structs
 */
class VisibilityInformation extends WeatherValue
{
    /**
     * The visibility
     * @var \StructType\Visibility
     */
    public $visibility;
    /**
     * The visibilityInformationExtension
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ExtensionType
     */
    public $visibilityInformationExtension;
    /**
     * Constructor method for VisibilityInformation
     * @uses VisibilityInformation::setVisibility()
     * @uses VisibilityInformation::setVisibilityInformationExtension()
     * @param \StructType\Visibility $visibility
     * @param \StructType\ExtensionType $visibilityInformationExtension
     */
    public function __construct(\StructType\Visibility $visibility = null, \StructType\ExtensionType $visibilityInformationExtension = null)
    {
        $this
            ->setVisibility($visibility)
            ->setVisibilityInformationExtension($visibilityInformationExtension);
    }
    /**
     * Get visibility value
     * @return \StructType\Visibility|null
     */
    public function getVisibility()
    {
        return $this->visibility;
    }
    /**
     * Set visibility value
     * @param \StructType\Visibility $visibility
     * @return \StructType\VisibilityInformation
     */
    public function setVisibility(\StructType\Visibility $visibility = null)
    {
        $this->visibility = $visibility;
        return $this;
    }
    /**
     * Get visibilityInformationExtension value
     * @return \StructType\ExtensionType|null
     */
    public function getVisibilityInformationExtension()
    {
        return $this->visibilityInformationExtension;
    }
    /**
     * Set visibilityInformationExtension value
     * @param \StructType\ExtensionType $visibilityInformationExtension
     * @return \StructType\VisibilityInformation
     */
    public function setVisibilityInformationExtension(\StructType\ExtensionType $visibilityInformationExtension = null)
    {
        $this->visibilityInformationExtension = $visibilityInformationExtension;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\VisibilityInformation
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
